package main

import (
	"fmt"
	"log"
	"os"
	"segmenta/pkg/generator"
	"segmenta/pkg/handler"
)

// How to stream a static video file as a "live" stream?

func main() {
	handler := handler.NewS3Handler("rfwatson-hls", "public-read")
	generator := generator.NewFFMPEGGenerator("test", os.Stdin)
	generator.AddHandler(handler)

	fmt.Println("starting generator...")

	err := generator.Generate()

	if err != nil {
		log.Fatal(err)
	}

	fmt.Println("completed generator...")
}
